﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="FormEdit.ascx.cs" Inherits="helferlein.DNN.Modules.Form.UI.FormEdit" %>
<%@ Register Src="~/controls/labelcontrol.ascx" TagName="Label" TagPrefix="dnn" %>
<%@ Register Src="~/controls/sectionheadcontrol.ascx" TagName="SectionHead" TagPrefix="dnn" %>
<%@ Register Src="~/DesktopModules/helferlein_BabelFish/LocaleSelector.ascx" TagName="LocaleSelector" TagPrefix="helferlein" %>
<%@ Register Assembly="DotNetNuke" Namespace="DotNetNuke.UI.WebControls" TagPrefix="dnn" %>
<%@ Register Assembly="helferlein" Namespace="helferlein.UI.WebControls.Validators" TagPrefix="helferlein" %>

<div style="text-align: left">
   <div>
      <dnn:Label ID="FormItemTypeLabel" runat="server" ControlName="FormItemTypeLabel" Suffix=":" ResourceKey="FormItemTypeLabel" CssClass="SubHead" />
      <asp:DropDownList ID="FormItemTypeList" runat="server" AutoPostBack="true" OnSelectedIndexChanged="FormItemTypeList_SelectedIndexChanged" CssClass="NormalTextBox" />
      <br /><br />
   </div>

   <dnn:SectionHead ID="LocalizablePropertiesHead" CssClass="Head" runat="server" Text="Localizable Properties" Section="MLPanel" ResourceKey="LocalizablePropertiesHead" IncludeRule="true" IsExpanded="true" />
   <div ID="MLPanel" runat="server">
      <helferlein:LocaleSelector ID="FormItemLocaleSelector" runat="server" AutoSave="true" ShowAutoSave="false" ShowDisabledLocales="true" ShowUpdateRequestPanel="false" HideWhenOnlyOneLanguageIsAvailable="true" />
      <br />

      <asp:Panel ID="FormItemLabelPanel" runat="server">
         <dnn:Label ID="FormItemLabelLabel" runat="server" ControlName="FormItemLabelLabel" Suffix=":" ResourceKey="FormItemLabelLabel" CssClass="SubHead" />
         <asp:TextBox ID="FormItemLabelTextBox" runat="server" Width="400px" CssClass="NormalTextBox" />
         <asp:RequiredFieldValidator ID="FormItemLabelValidator" runat="server" ControlToValidate="FormItemLabelTextBox" Text="*" />
         <asp:Image ID="FormItemLabelRequired" runat="server" ImageUrl="~/images/required.gif" BorderStyle="None" />
         <asp:Label ID="NoLabelForPortalDefaultErrorMessageLabel" runat="server" CssClass="NormalRed" Visible="false" EnableViewState="false" />
         <br /><br />
      </asp:Panel>
      <asp:Panel ID="FormItemHelpTextPanel" runat="server">
         <dnn:Label ID="FormItemHelpTextLabel" runat="server" ControlName="FormItemHelpTextLabel" Suffix=":" ResourceKey="FormItemHelpTextLabel" CssClass="SubHead" />
         <asp:TextBox ID="FormItemHelpTextTextBox" runat="server" Width="400px" TextMode="MultiLine" Height="75px" CssClass="NormalTextBox" />
         <br /><br />
      </asp:Panel>

      <asp:Panel ID="FormItemValuesPanel" runat="server">
         <dnn:Label id="FormItemValuesLabel" runat="server" ControlName="FormItemValuesLabel" Suffix=":" ResourceKey="FormItemValuesLabel" CssClass="SubHead" />
         <asp:TextBox ID="FormItemValuesTextBox" runat="server" Width="400px" CssClass="NormalTextBox" />
         <asp:RequiredFieldValidator ID="FormItemValueValidator" runat="server" ControlToValidate="FormItemValuesTextBox" Text="*" />
         <helferlein:DateValidator ID="FormItemValueDateValidator" runat="server" ControlToValidate="FormItemValuesTextBox" Text="*" />
         <asp:Image ID="FormItemValueRequired" runat="server" ImageUrl="~/images/required.gif" BorderStyle="None" />
         <asp:Label ID="NoValueForPortalDefaultErrorMessageLabel" runat="server" CssClass="NormalRed" Visible="false" EnableViewState="false" />
         <br /><br />
      </asp:Panel>

      <asp:Panel ID="FormItemSelectedValuesPanel" runat="server">
         <dnn:Label ID="FormItemSelectedValuesLabel" runat="server" ControlName="FormItemSelectedValuesLabel" Suffix=":" ResourceKey="FormItemSelectedValuesLabel" CssClass="SubHead" />
         <asp:TextBox ID="FormItemSelectedValuesTextBox" runat="server" Width="400px" CssClass="NormalTextBox" />
      </asp:Panel>

      <asp:Panel ID="FormItemTemplatePanel" runat="server">
         <dnn:Label ID="FormItemTemplateLabel" runat="server" ControlName="FormItemTemplateLabel" Suffix=":" ResourceKey="FormItemTemplateLabel" CssClass="SubHead" />
         <asp:TextBox ID="FormItemTemplateTextBox" runat="server" Width="400px" TextMode="MultiLine" Height="150px" CssClass="NormalTextBox" />
         <br />
         <asp:HyperLink ID="ResetFormItemTemplateHyperLink" runat="server"
            CssClass="CommandButton"
            OnLoad="ResetFormItemTemplateHyperLink_Load"
            ResourceKey="ResetTemplate" />
         &nbsp;&nbsp;
         <asp:HyperLink ID="SetDefaultFormItemTemplate" runat="server"
            CssClass="CommandButton"
            OnLoad="SetDefaultFormItemTemplateHyperLink_Load"
            ResourceKey="SetDefaultTemplate" />
      </asp:Panel>
      <br /><br />
   </div>

   <asp:Panel ID="CommonPropertiesPanel" runat="server">
      <dnn:SectionHead ID="OtherPropertiesHead" CssClass="Head" runat="server" Text="Common Properties" Section="FormPropertiesPanel" ResourceKey="OtherPropertiesHead" IncludeRule="true" IsExpanded="true" />
      <div ID="FormPropertiesPanel" runat="server">
         <asp:Panel ID="FormItemOtherPanel" runat="server">
            <asp:CheckBox ID="FormItemOtherCheckBox" runat="server"
               AutoPostBack="true"
               CssClass="Normal"
               OnCheckedChanged="FormItemOtherCheckBox_CheckedChanged" />
            <dnn:Label ID="FormItemOtherLabel" runat="server" ControlName="FormItemOtherLabel" ResourceKey="FormItemOtherLabel" CssClass="SubHead" />
            <br /><br />
         </asp:Panel>

         <asp:Panel ID="FormItemWidthPanel" runat="server">
            <dnn:Label ID="FormItemWidthLabel" runat="server" ControlName="FormItemWidthLabel" Suffix=":" ResourceKey="FormItemWidthLabel" CssClass="SubHead" />
            <asp:TextBox ID="FormItemWidthTextBox" runat="server" Width="50px" CssClass="NormalTextBox" />
            <asp:CompareValidator ID="FormItemWidthTextBoxValidator" runat="server" ControlToValidate="FormItemWidthTextBox" Text="*" Type="Integer" Operator="DataTypeCheck" />
            <br /><br />
         </asp:Panel>

         <asp:Panel ID="FormItemHeightPanel" runat="server">
            <dnn:Label ID="FormItemHeightLabel" runat="server" ControlName="FormItemHeightLabel" Suffix=":" ResourceKey="FormItemHeightLabel" CssClass="SubHead" />
            <asp:TextBox ID="FormItemHeightTextBox" runat="server" Width="50px" CssClass="NormalTextBox" />
            <asp:CompareValidator ID="FormItemHeightTextBoxValidator" runat="server" ControlToValidate="FormItemHeightTextBox" Text="*" Type="Integer" Operator="DataTypeCheck" />
            <br /><br />
         </asp:Panel>

         <asp:Panel ID="FormItemRepeatColumnsPanel" runat="server">
            <dnn:Label ID="FormItemRepeatColumnsLabel" runat="server" ControlName="FormItemRepeatColumnsLabel" Suffix=":" ResourceKey="FormItemRepeatColumnsLabel" CssClass="SubHead" />
            <asp:TextBox ID="FormItemRepeatColumnsTextBox" runat="server" Width="50px" CssClass="NormalTextBox" />
            <br /><br />
         </asp:Panel>

         <asp:Panel ID="RequiredPanel" runat="server">
            <asp:CheckBox ID="RequiredCheckBox" runat="server" CssClass="Normal" />
            <dnn:Label ID="RequiredLabel" runat="server" ControlName="RequiredLabel" ResourceKey="RequiredLabel" CssClass="SubHead" />
            <br />
         </asp:Panel>

         <asp:Panel ID="FormItemLinkTargetPanel" runat="server">
            <dnn:Label ID="FormItemLinkTargetLabel" runat="server" ControlName="FormItemLinkTargetLabel" Suffix=":" ResourceKey="FormItemLinkTargetLabel" CssClass="SubHead" />
            <asp:DropDownList ID="FormItemLinkTargetDropDownList" runat="server" CssClass="NormalTextBox" />
            <br /><br />
         </asp:Panel>

         <asp:Panel ID="ValidationExpressionPanel" runat="server">
            <dnn:Label ID="ValidationExpressionLabel" runat="server" ControlName="ValidationExpressionLabel" Suffix=":" ResourceKey="ValidationExpressionLabel" CssClass="SubHead" />
            <asp:TextBox ID="ValidationExpressionTextBox" runat="server" Width="400px" CssClass="NormalTextBox" />
            <br /><br />
         </asp:Panel>
      </div>
   </asp:Panel>

   <asp:Panel ID="MovePanel" runat="server">
      <dnn:CommandButton ID="MoveTop" runat="server" CausesValidation="false" CssClass="CommandButton" ImageUrl="images/top.png" DisplayIcon="true" DisplayLink="true" ResourceKey="MoveTop" />
      <dnn:CommandButton ID="MoveUp" runat="server" CausesValidation="false" CssClass="CommandButton" ImageUrl="images/up.png" DisplayIcon="true" DisplayLink="true" ResourceKey="MoveUp" />
      <dnn:CommandButton ID="MoveDn" runat="server" CausesValidation="false" CssClass="CommandButton" ImageUrl="images/down.png" DisplayIcon="true" DisplayLink="true" ResourceKey="MoveDn" />
      <dnn:CommandButton ID="MoveBottom" runat="server" CausesValidation="false" CssClass="CommandButton" ImageUrl="images/bottom.png" DisplayIcon="true" DisplayLink="true" ResourceKey="MoveBottom" />
      <br />
   </asp:Panel>

   <hr />
   <dnn:CommandButton ID="UpdateButton" runat="server" CausesValidation="true" CssClass="CommandButton" ImageUrl="images/disk.png" DisplayIcon="true" DisplayLink="true" ResourceKey="cmdUpdate" />
   <dnn:CommandButton ID="CancelButton" runat="server" CausesValidation="false" CssClass="CommandButton" ImageUrl="images/arrow_undo.png" DisplayIcon="true" DisplayLink="true" ResourceKey="cmdCancel" />
   <dnn:CommandButton ID="DeleteButton" runat="server" CausesValidation="false" CssClass="CommandButton" ImageUrl="images/bin.png" DisplayIcon="true" DisplayLink="true" ResourceKey="cmdDelete" />
   <asp:ValidationSummary ID="FormItemValidation" runat="server" ShowMessageBox="true" ShowSummary="false" CssClass="NormalRed" />
</div>