﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Settings.ascx.cs" Inherits="helferlein.DNN.Modules.Form.UI.Settings" %>
<%@ Register Assembly="helferlein" Namespace="helferlein.UI.WebControls.Validators" TagPrefix="helferlein" %>
<%@ Register Src="~/controls/labelcontrol.ascx" TagName="Label" TagPrefix="dnn" %>
<%@ Register Src="~/controls/sectionheadcontrol.ascx" TagName="SectionHead" TagPrefix="dnn" %>
<%@ Register Src="~/controls/urlcontrol.ascx" TagName="UrlControl" TagPrefix="dnn" %>
<%@ Register Src="~/DesktopModules/helferlein_BabelFish/LocaleSelector.ascx" TagName="LocaleSelector" TagPrefix="helferlein" %>

<dnn:SectionHead ID="MultiLingualSettingsHead" runat="server"
   CssClass="Head"
   Text="Multilingual Settings"
   Section="MultiLingualSettingsTable"
   ResourceKey="MultiLingualSettings"
   IncludeRule="true"
   IsExpanded="false" />
<div id="MultiLingualSettingsTable" runat="server"
   summary="Multilingual Settings"
   style="width: 100%">
   <helferlein:LocaleSelector ID="LocaleSelector" runat="server"
      ShowDisabledLocales="true"
      ShowUpdateRequestPanel="false"
      AutoSave="true"
      ShowAutoSave="false"
      HideWhenOnlyOneLanguageIsAvailable="true" />
   <br />
   <dnn:Label ID="ModuleTitleLabel" runat="server"
      ControlName="ModuleTitleLabel"
      CssClass="SubHead"
      Suffix=":"
      ResourceKey="ModuleTitleLabel" />
   <asp:TextBox ID="ModuleTitleTextBox" runat="server"
      CssClass="NormalTextBox"
      Width="300px"
      OnLoad="ModuleTitleTextBox_Load" />
   <br /><br />
   <dnn:Label ID="SubjectLabel" runat="server"
      ControlName="SubjectLabel"
      CssClass="SubHead"
      ResourceKey="SubjectLabel"
      Suffix=":" />
   <asp:TextBox ID="SubjectTextBox" runat="server" CssClass="NormalTextBox" Width="300px" OnLoad="SubjectTextBox_Load" />
   <br /><br />
</div>

<dnn:SectionHead ID="SubmissionSettingsHead" runat="server"
   CssClass="Head"
   Text="Submission Settings"
   Section="SubmissionSettingsTable"
   ResourceKey="SubmissionSettings"
   IncludeRule="true" />
<div id="SubmissionSettingsTable" runat="server"
   summary="Form Submission Settings"
   style="width: 100%">
   <dnn:Label ID="SendModeLabel" runat="server"
      ControlName="SendModeLabel"
      CssClass="SubHead"
      ResourceKey="SendModeLabel"
      Suffix=":" />
   <asp:CheckBoxList ID="SendModes" runat="server"
      AutoPostBack="true"
      CssClass="Normal"
      OnLoad="SendModes_Load"
      OnSelectedIndexChanged="SendModes_SelectedIndexChanged"
      RepeatColumns="1"
      RepeatLayout="Flow">
      <asp:ListItem Text="Send submission by e-mail" Value="SubmitByEMail" />
      <asp:ListItem Text="Save submission in database" Value="SaveToDataBase" />
   </asp:CheckBoxList>
   <helferlein:CheckBoxListValidator ID="SendModesValidator"
      runat="server"
      ControlToValidate="SendModes"
      Text="*"
      MinimumNumberOfSelectedCheckBoxes="1"
      OnLoad="SendModesValidator_Load" />
   <br /><br />

   <dnn:Label ID="EMailAddressLabel" runat="server"
      ControlName="EMailAddressLabel"
      Suffix=":"
      ResourceKey="EMailAddressLabel"
      CssClass="SubHead" />
   <asp:TextBox ID="EMailAddressTextBox" runat="server"
      CssClass="NormalTextBox"
      Width="300px"
      OnLoad="EMailAddressTextBox_Load" />
   <helferlein:RegExpValidator ID="EMailAddressValidator" runat="server"
      CssClass="NormalRed"
      ControlToValidate="EMailAddressTextBox"
      OnLoad="EMailAddressValidator_Load"
      Text="*" />
   <br /><br />

   <dnn:Label ID="RedirectURLLabel" runat="server"
      ControlName="RedirectURLLabel"
      CssClass="SubHead"
      ResourceKey="RedirectURLLabel"
      Suffix=":" />
   <dnn:UrlControl ID="RedirectURLControl" runat="server"
      OnLoad="RedirectURLControl_Load"
      ShowTrack="false"
      ShowLog="false"
      ShowFiles="false" />

   <dnn:Label ID="AutoApproveLabel" runat="server"
      ControlName="AutoApproveLabel"
      CssClass="SubHead"
      ResourceKey="AutoApproveLabel"
      Suffix=":" />
   <asp:CheckBox ID="AutoApproveCheckBox" runat="server"
      CssClass="Normal"
      OnLoad="AutoApproveCheckBox_Load" />
   <br /><br />
</div>

<dnn:SectionHead ID="EmailOptionsSectionHead" runat="server"
   CssClass="Head"
   Text="E-Mail Options"
   Section="EmailOptionsSection"
   ResourceKey="EmailOptions"
   IncludeRule="true"
   IsExpanded="false" />
<div id="EmailOptionsSection" runat="server"
   Summary="E-Mail Options"
   style="width: 100%;">
   <dnn:Label ID="EMailFormatLabel" runat="server"
      ControlName="EMailFormatLabel"
      CssClass="SubHead"
      ResourceKey="EMailFormatLabel"
      Suffix=":" />
   <asp:CheckBox ID="EMailFormatCheckBox" runat="server"
      CssClass="Normal"
      OnLoad="EMailFormatCheckBox_Load" />
   <br /><br />

   <dnn:Label ID="SenderAddressLabel" runat="server"
      ControlName="SenderAddressLabel"
      CssClass="SubHead"
      ResourceKey="SenderAddressLabel"
      Suffix=":" />
   <asp:DropDownList ID="SenderAddressDropDownList" runat="server"
      CssClass="NormalTextBox"
      OnLoad="SenderAddressDropDownList_Load" />
   <br /><br />

   <dnn:Label ID="ReplyToAddressLabel" runat="server"
      ControlName="ReplyToAddressLabel"
      CssClass="SubHead"
      ResourceKey="ReplyToAddressLabel"
      Suffix=":" />
   <asp:DropDownList ID="ReplyToAddressDropDownList" runat="server"
      CssClass="NormalTextBox"
      OnLoad="ReplyToAddressDropDownList_Load" />
   <br /><br />

   <dnn:Label ID="IncludeIPAddressInEmailLabel" runat="server"
      ControlName="IncludeIPAddressInEmailLabel"
      CssClass="SubHead"
      ResourceKey="OptionsLabel"
      Suffix=" " />
   <asp:CheckBox ID="IncludeIPAddressInEmailCheckBox" runat="server"
      CssClass="Normal"
      OnLoad="IncludeIPAddressInEmailCheckBox_Load" />
   <br /><br />
</div>

<dnn:SectionHead ID="ModuleAppearanceSettingsHead" runat="server"
   CssClass="Head"
   Text="Module Appearance"
   Section="ModuleAppearanceSettingsTable"
   ResourceKey="ModuleAppearanceSettings"
   IncludeRule="true"
   IsExpanded="false" />
<div id="ModuleAppearanceSettingsTable" runat="server"
   summary="Module Appearance Settings"
   style="width:100%">
   <dnn:Label ID="ThemeLabel" runat="server"
      ControlName="ThemeLabel"
      CssClass="SubHead"
      ResourceKey="ThemeLabel"
      Suffix=":" />
   <asp:DropDownList ID="ThemeDropDownList" runat="server"
      CssClass="NormalTextBox"
      OnLoad="ThemeDropDownList_Load" />
   <br /><br />
</div>

<dnn:SectionHead ID="FormAppearanceSettingsHead" CssClass="Head"
   runat="server"
   Text="Form Appearance"
   Section="FormAppearanceSettingsTable"
   ResourceKey="FormAppearanceSettings"
   IncludeRule="true"
   IsExpanded="false" />
<div id="FormAppearanceSettingsTable" runat="server"
   summary="Form Appearance Settings"
   style="width: 100%">
   <dnn:Label ID="WidthLabel" runat="server"
      ControlName="WidthLabel"
      CssClass="SubHead"
      ResourceKey="WidthLabel"
      Suffix=":" />
   <asp:TextBox ID="WidthTextBox" runat="server"
      CssClass="NormalTextBox"
      Width="50px"
      OnLoad="WidthTextBox_Load" />
   <br /><br />

   <dnn:Label ID="FormHeaderTemplateLabel" runat="server"
      ControlName="FormHeaderTemplateLabel"
      CssClass="SubHead"
      ResourceKey="FormHeaderTemplateLabel"
      Suffix=":" />
   <asp:TextBox ID="FormHeaderTemplateTextBox" runat="server"
      CssClass="NormalTextBox"
      OnLoad="FormHeaderTemplateTextBox_Load"
      TextMode="MultiLine"
      Height="75px"
      Width="400px" />
   <br />
   <asp:HyperLink ID="ResetFormHeaderTemplateHyperLink" runat="server"
      CssClass="CommandButton"
      OnLoad="ResetFormHeaderTemplateHyperLink_Load"
      ResourceKey="ResetTemplate" />
   &nbsp;&nbsp;
   <asp:HyperLink ID="SetDefaultFormHeaderTemplate" runat="server"
      CssClass="CommandButton"
      OnLoad="SetDefaultFormHeaderTemplateHyperLink_Load"
      ResourceKey="SetDefaultTemplate" />
   <br /><br />
   
   <dnn:Label ID="FormItemTemplateLabel" runat="server"
      ControlName="FormItemTemplateLabel" 
      CssClass="SubHead"
      ResourceKey="FormItemTemplateLabel"
      Suffix=":" />
   <asp:TextBox ID="FormItemTemplateTextBox" runat="server"
      CssClass="NormalTextBox"
      OnLoad="FormItemTemplateTextBox_Load"
      TextMode="MultiLine"
      Height="150px"
      Width="400px" />
   <br />
   <asp:HyperLink ID="ResetFormItemTemplateHyperLink" runat="server"
      CssClass="CommandButton"
      OnLoad="ResetFormItemTemplateHyperLink_Load"
      ResourceKey="ResetTemplate" />
   &nbsp;&nbsp;
   <asp:HyperLink ID="SetDefaultFormItemTemplate" runat="server"
      CssClass="CommandButton"
      OnLoad="SetDefaultFormItemTemplateHyperLink_Load"
      ResourceKey="SetDefaultTemplate" />
   <br /><br />

   <dnn:Label ID="FormFooterTemplateLabel" runat="server"
      ControlName="FormFooterTemplateLabel"
      CssClass="SubHead"
      ResourceKey="FormFooterTemplateLabel"
      Suffix=":" />
   <asp:TextBox ID="FormFooterTemplateTextBox" runat="server"
      CssClass="NormalTextBox"
      OnLoad="FormFooterTemplateTextBox_Load"
      TextMode="MultiLine"
      Height="75px"
      Width="400px" />
   <br />
   <asp:HyperLink ID="ResetFormFooterTemplateHyperLink" runat="server"
      CssClass="CommandButton"
      OnLoad="ResetFormFooterTemplateHyperLink_Load"
      ResourceKey="ResetTemplate" />
   &nbsp;&nbsp;
   <asp:HyperLink ID="SetDefaultFormFooterTemplate" runat="server"
      CssClass="CommandButton"
      OnLoad="SetDefaultFormFooterTemplateHyperLink_Load"
      ResourceKey="SetDefaultTemplate" />
   <br /><br />

   <dnn:Label ID="LabelTemplateLabel" runat="server"
      ControlName="LabelTemplateLabel"
      CssClass="SubHead"
      ResourceKey="LabelTemplateLabel"
      Suffix=":" />
   <asp:TextBox ID="LabelTemplateTextBox" runat="server"
      CssClass="NormalTextBox"
      OnLoad="LabelTemplateTextBox_Load"
      TextMode="MultiLine"
      Height="75px"
      Width="400px" />
   <br />
   <asp:HyperLink ID="ResetFormLabelTemplateHyperLink" runat="server"
      CssClass="CommandButton"
      OnLoad="ResetFormLabelTemplateHyperLink_Load"
      ResourceKey="ResetTemplate" />
   &nbsp;&nbsp;
   <asp:HyperLink ID="SetDefaultFormLabelTemplate" runat="server"
      CssClass="CommandButton"
      OnLoad="SetDefaultFormLabelTemplateHyperLink_Load"
      ResourceKey="SetDefaultTemplate" />
   <br /><br />

   <dnn:Label ID="RequiredFieldMarkerLabel" runat="server"
      ControlName="RequiredFieldMarkerLabel"
      CssClass="SubHead"
      ResourceKey="RequiredFieldMarkerLabel"
      Suffix=":" />
   <asp:RadioButtonList ID="RequiredFieldMarkerOptions" runat="server"
      CssClass="Normal"
      OnLoad="RequiredFieldMarkerOptions_Load" />
   <br /><br />

   <dnn:Label ID="ShowRequiredFieldMarkerExplanationLabel" runat="server"
      ControlName="ShowRequiredFieldMarkerExplanationLabel"
      CssClass="SubHead"
      ResourceKey="ShowRequiredFieldMarkerExplanationLabel"
      Suffix=":" />
   <asp:RadioButtonList ID="ShowRequiredFieldMarkerExplanationOptions" runat="server"
      CssClass="Normal"
      OnLoad="ShowRequiredFieldMarkerExplanationOptions_Load"
      RepeatLayout="Flow" />
   <br /><br />


   <dnn:Label ID="SubmitButtonLabel" runat="server"
      ControlName="SubmitButtonLabel"
      CssClass="SubHead"
      ResourceKey="SubmitButtonLabel"
      Suffix=":" />
   <asp:RadioButtonList ID="SubmitButtonOptions" runat="server"
      CssClass="Normal"
      OnLoad="SubmitButtonOptions_Load" />
   <br /><br />

   <dnn:Label ID="FormAppearanceOptionsLabel" runat="server"
      ControlName="OptionsLabel"
      CssClass="SubHead"
      ResourceKey="OptionsLabel"
      Suffix=":" />
   <asp:CheckBox ID="CaptchaCheckBox" runat="server"
      AutoPostBack="true"
      CausesValidation="false"
      CssClass="Normal"
      OnCheckedChanged="CaptchaCheckBox_CheckedChanged"
      OnLoad="CaptchaCheckBox_Load" />
   <br />
   <asp:CheckBox ID="UnauthenticatedUsersOnlyCheckBox" runat="server"
      CssClass="Normal"
      OnLoad="UnauthenticatedUsersOnlyCheckBox_Load" />
   <br /><br />

   <dnn:Label ID="ValidationDisplayLabel" runat="server"
      ControlName="ValidationDisplayLabel"
      CssClass="SubHead"
      ResourceKey="ValidationDisplayLabel"
      Suffix=":" />
   <asp:CheckBoxList ID="ValidationDisplays" runat="server"
      CssClass="Normal"
      OnLoad="ValidationDisplays_Load"
      RepeatColumns="1"
      RepeatLayout="Flow">
      <asp:ListItem Text="Summary on the page" Value="Summary" />
      <asp:ListItem Text="Message box alert" Value="MessageBox" />
   </asp:CheckBoxList>
   <br /><br />
</div>

<dnn:SectionHead ID="SubmissionAppearanceSettings" runat="server"
   CssClass="Head"
   IncludeRule="true"
   IsExpanded="false"
   ResourceKey="SubmissionAppearanceSettings"
   Section="SubmissionAppearanceSettingsTable"
   Text="Submission Appearance Settings" />
<div id="SubmissionAppearanceSettingsTable" runat="server"
   summary="Submission Appearance Settings"
   style="width:100%">

   <dnn:Label ID="ShowApprovedSubmissionsLabel" runat="server"
      ControlName="ShowApprovedSubmissionsLabel"
      CssClass="SubHead"
      ResourceKey="ShowApprovedSubmissionsLabel"
      Suffix=":" />
   <asp:RadioButtonList ID="ShowApprovedSubmissionsOptions" runat="server" 
      CssClass="Normal"
      OnLoad="ShowApprovedSubmissionsOptions_Load"
      RepeatLayout="Flow" />
   <br /><br />

   <dnn:Label ID="KeepDaysLabel" runat="server"
      ControlName="KeepDaysLabel"
      CssClass="SubHead"
      ResourceKey="KeepDaysLabel"
      Suffix=":" />
   <asp:TextBox ID="KeepDaysTextBox" runat="server"
      CssClass="NormalTextBox"
      OnLoad="KeepDaysTextBox_Load"
      Width="50px" />
   <br /><br />

   <dnn:Label ID="GroupOutputByLabel" runat="server"
      ControlName="GroupOutputByLabel"
      CssClass="SubHead"
      ResourceKey="GroupOutputByLabel"
      Suffix=":" />
   <asp:DropDownList ID="GroupOutputByDropDownList" runat="server"
      CssClass="NormalTextBox"
      OnLoad="GroupOutputByDropDownList_Load">
      <asp:ListItem Value="" Text="None specified" ResourceKey="None_Specified" />
   </asp:DropDownList>
   <asp:Label ID="NoGroupableFormItemsDefinedLabel" runat="server"
      CssClass="NormalRed"
      OnLoad="NoGroupableFormItemsDefinedLabel_Load"
      Visible="false" />
   <br /><br />

   <dnn:Label ID="RenderAsHeadlineLabel" runat="server"
      ControlName="RenderAsHeadlineLabel"
      CssClass="SubHead"
      ResourceKey="RenderAsHeadlineLabel"
      Suffix=":" />
   <asp:DropDownList ID="RenderAsHeadlineDropDownList" runat="server"
      AutoPostBack="true"
      CssClass="NormalTextBox"
      OnLoad="RenderAsHeadlineDropDownList_Load" 
      OnSelectedIndexChanged="RenderAsHeadlineDropDownList_SelectedIndexChanged">
      <asp:ListItem Value="" />
   </asp:DropDownList>
   <asp:Label ID="NoRenderableAsHeadlineFormItemsDefinedLabel" runat="server"
      CssClass="NormalRed"
      OnLoad="NoRenderableAsHeadlineFormItemsDefinedLabel_Load"
      Visible="false" />
   <asp:Panel ID="UseHeadlineAsSubjectPanel" runat="server">
      <asp:CheckBox ID="UseHeadlineAsSubjectCheckBox" runat="server"
         CssClass="Normal"
         OnLoad="UseHeadlineAsSubjectCheckBox_Load" />
      <dnn:Label ID="UseHeadlineAsSubjectLabel" runat="server"
         ControlName="UseHeadlineAsSubjectLabel"
         CssClass="SubHead"
         ResourceKey="UseHeadlineAsSubjectLabel"
         Suffix="" />
   </asp:Panel>
   <br /><br />

   <dnn:Label ID="HeadlineAlignmentLabel" runat="server"
      ControlName="HeadlineAlignmentLabel"
      CssClass="SubHead"
      ResourceKey="HeadlineAlignmentLabel"
      Suffix=":" />
   <asp:RadioButtonList ID="HeadlineAlignmentRadioButtonList" runat="server"
      CssClass="Normal"
      OnLoad="HeadlineAlignmentRadioButtonList_Load"
      RepeatColumns="3">
      <asp:ListItem Value="" />
      <asp:ListItem Value="Center" />
      <asp:ListItem Value="Right" />
   </asp:RadioButtonList>
   <br /><br />

   <dnn:Label ID="SubmissionAppearanceOptionsLabel" runat="server"
      ControlName="OptionsLabel"
      CssClass="SubHead"
      ResourceKey="OptionsLabel"
      Suffix=":" />
   <asp:CheckBox ID="ShowDateCheckBox" runat="server"
      CssClass="Normal"
      OnLoad="ShowDateCheckBox_Load" />
   <br />
   <asp:CheckBox ID="ShowFlagCheckBox" runat="server"
      CssClass="Normal"
      OnLoad="ShowFlagCheckBox_Load" />
   <br />
   <asp:CheckBox ID="ShowLabelsCheckBox" runat="server"
      CssClass="Normal"
      OnLoad="ShowLabelsCheckBox_Load" />
   <br />
   <asp:CheckBox ID="ShowRecipientCheckBox" runat="server"
      CssClass="Normal"
      OnLoad="ShowRecipientCheckBox_Load" />
   <br /><br />
</div>

<dnn:SectionHead ID="SubmissionEditSettings" runat="server"
   CssClass="Head"
   IncludeRule="true"
   IsExpanded="false"
   ResourceKey="SubmissionEditSettings"
   Section="SubmissionEditSettingsSection"
   Text="Submission Edit Settings" />
<div id="SubmissionEditSettingsSection" runat="server"
   summary="Submission Edit Settings"
   style="width:100%">
   <dnn:Label ID="AddToDropDownListLabel" runat="server"
      ControlName="AddToDropDownListLabel"
      CssClass="SubHead"
      ResourceKey="AddToDropDownListLabel"
      Suffix=":" />
   <asp:DropDownList ID="AddToDropDownListDropDownList" runat="server"
      CssClass="NormalTextBox"
      OnLoad="AddToDropDownListDropDownList_Load">
      <asp:ListItem Value="" />
   </asp:DropDownList>
   <asp:Label ID="NoAppendableFormItemsDefinedLabel" runat="server"
      CssClass="NormalRed"
      OnLoad="NoAppendableFormItemsDefinedLabel_Load"
      Visible="false" />
</div>

<dnn:SectionHead ID="OtherSettingsLabel" runat="server"
   CssClass="Head"
   IncludeRule="true"
   IsExpanded="false"
   ResourceKey="OtherSettings"
   Section="OtherSettingsSection"
   Text="Other Settings" />
<div id="OtherSettingsSection" runat="server"
   summary="Other Settings"
   style="width:100%" >
   <asp:CheckBox ID="IncludeMailAddressesInSearchCheckBox" runat="server"
      CssClass="Normal"
      OnLoad="IncludeMailAddressesInSearchCheckBox_Load" />
   <dnn:Label ID="IncludeMailAddressesInSearchLabel" runat="server"
      ControlName="IncludeMailAddressesInSearchLabel"
      CssClass="SubHead"
      ResourceKey="IncludeMailAddressesInSearchLabel"
      Suffix="" />
</div>


<asp:ValidationSummary ID="FormSettingsValidationSummary" runat="server"
   ShowMessageBox="true"
   ShowSummary="false" />
